Page MenuHomePhabricator

Deploy Growth features on Portuguese Wikipedia
Closed, ResolvedPublic

Description

This task is created to coordinate community engagement about deploying Growth features to Portuguese Wikipedia.

Translations

Help panel

Homepage

Suggested edits

For templates only, you can suggest more templates that match the task description.

Extra links:

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

We will work soon on this deployment. We hope to have to opportunity to collaborate with the community! @GoEThe and @He7d3r, would you help? :)

Hi. Sure, time permitting. What do you need from me? The translations noted in the description?

Hi. Sure, time permitting. What do you need from me? The translations noted in the description?

Thank you for your help!

Our biggest challenges are:

  • being sure the community is informed about this deployment
  • getting translations done
  • gathering a group of users approximately 20 users who would act as mentors, to welcome newcomers.

I finished the pt translation and it seems pt-br is also complete.

I finished the pt translation and it seems pt-br is also complete.

Cool! Translations will be available on test.wikipedia.org on Thursday. So then you will be able to check if they are good.

I checked on this community discussion. is there anything we can do to see more people participating? Or is it considered as enough information and we can move to the next steps?

To have the features being deployed, we need to have a list of people volunteering to be mentors. Has your wiki a list of people interested by this?

Once we can test the inteface on translatewiki, I think we can ask for people to sign up somewhere. We can probably reach out to people who have mentored newcomers before: https://pt.wikipedia.org/wiki/Categoria:!Tutores
Some are perhaps not active anymore.

Sorry for not replying earlier!

Once we can test the inteface on translatewiki, I think we can ask for people to sign up somewhere.

Have you made your tests they way you wanted? I noticed that some people have made some suggested edits, and contacted their "mentors" on test.Wikipedia.org.

We can probably reach out to people who have mentored newcomers before: https://pt.wikipedia.org/wiki/Categoria:!Tutores
Some are perhaps not active anymore.

Contacting these users is a good idea (and also a good way to clean the category). You can also make a call on your local village pump to encourage people to become mentors. As myself a mentor on my wiki on my volunteer capacity, it is an interesting experience to have!

I am on holidays now, but will get back to this next month.

I am on holidays now, but will get back to this next month.

Enjoy!

Hello

Anything new here? How can I help you?

Eleven people signed up as interested last time I checked. Is that enough to start a trial?

Eleven people signed up as interested last time I checked. Is that enough to start a trial?

You mean some people volunteered to be mentors?

To set everything up, we miss a few elements:

  • what is the archiving system for your Help desk?
  • where is the page listing mentors? This page has to be formatted in a particular way.
  • which help page can help newcomers about updating an article?

When you write "starting a trial", do you mean providing the features for a test for a few experienced users and then release it to newcomers, or do you think you are ready to provide the tools to newcomers directly?

Thank you!

Hmm, OK. I will check how to set that up next week. I am on my phone at the moment.

No problem! :)
Maybe someone else could assist you?

Hi! I can help you with those missing elements.

Eleven people signed up as interested last time I checked. Is that enough to start a trial?

You mean some people volunteered to be mentors?

To set everything up, we miss a few elements:

  • what is the archiving system for your Help desk?

The Help desk is archived automatically by a bot (User:ArquivoBot). When a section on the Helpdesk reaches 30 days of inactivity, the bot moves the entire section to the archive page.

The mentors are listed here.

  • which help page can help newcomers about updating an article?

In Ajuda:Tutorial/Edição.

When you write "starting a trial", do you mean providing the features for a test for a few experienced users and then release it to newcomers, or do you think you are ready to provide the tools to newcomers directly?

I think that features it to experienced users would be better. After that, we could release it to newcomers.

Thank you!

I think that's it. Thanks!

Thank you @Albertoleoncio!

The mentors are listed here.

From the experience we have, we strongly advice communities to have some explanation at the top of the mentors' list. I just added to this page some advice for mentors. Can you translate it, please?

Also, we highly recommend to protect this page so that unexperienced editors can't add their name on it. The usual limit is the "autopatrolled" status (more than 500 edits made and 30 active days).

I also invite you to inform newcomers about adding their description to this page.

When you write "starting a trial", do you mean providing the features for a test for a few experienced users and then release it to newcomers, or do you think you are ready to provide the tools to newcomers directly?

I think that features it to experienced users would be better. After that, we could release it to newcomers.

Great! Since everything seems to be ready, I'm moving this page to have everything being deployed to experienced users for let's say a one-week long trial. I'll keep you informed about the next steps.

Trizek-WMF added a subscriber: Catrope.

@Catrope, everything is ready.

Can you setup everything so that only experienced users can enable the tools in their preferences? The release for newcomers would be done after checking if everything is ready. I let you set the deployment date.

@Catrope is going to try to get the aliases to ride the train this week so we can deploy next week.

Change 627349 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Portuguese (pt)

https://gerrit.wikimedia.org/r/627349

Change 627349 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Portuguese (pt)

https://gerrit.wikimedia.org/r/627349

Change 627393 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on ptwiki

https://gerrit.wikimedia.org/r/627393

Can you setup everything so that only experienced users can enable the tools in their preferences?

Yes, mostly. We don't have a good way of limiting this to "experienced" users, so what I'll do is allow any user will be able to enable the features in their preferences. Most newcomers won't see these preferences and won't enable them, but a few might. However, newcomers won't get the features enabled automatically when they create their account, like on the other wikis.

Technically, what I will do is set the percentage of new users that automatically gets the new features to 0% (normally this is 80%). In other words, instead of running our usual 80/20 A/B test, it's 0/100. Similarly, the WelcomeSurvey will be shown to 0% of new users, instead of 100%.

The release for newcomers would be done after checking if everything is ready.

Great. That will be a simple matter of changing the percentages from 0% to their usual values (80% for the homepage/help panel, 100% for the WelcomeSurvey).

I let you set the deployment date.

I have scheduled this deployment for Monday September 21 at 18:00-19:00 UTC, together with T254239: Deploy Growth features on Polish Wikipedia.

Catrope set Due Date to Sep 21 2020, 6:00 PM.Sep 14 2020, 11:39 PM

Change 627393 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on ptwiki

https://gerrit.wikimedia.org/r/627393

Mentioned in SAL (#wikimedia-operations) [2020-09-21T18:53:37Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable and configure GrowthExperiments on plwiki (T254239) and ptwiki (T255027) (duration: 00m 56s)

Assigning this to @Trizek-WMF as he continues to correspond with the community about the trial period. Then we'll move this back to Ready for Development so that it can be switched on for newcomers.

@Albertoleoncio, the features are now available on your wiki. Only users who enable them in their preferences, both for the home page and the help panel, can try them. Newcomers won't get them for now.

Would you let the community know about this, so that they can test everything they need? We plan to enable the features next week, unless of you've found something the the Growth team can consider as a blocker (big bug, missing translations, etc.).

@Trizek-WMF As far as I could verify, everything looks great! I didn't find any bug or missing translations, except for the link to the edit page that was incorrect on the commit, but I managed to solve it with a redirect. I couldn't look at WelcomeSurvey, because when I tried to open it, it redirected straight to the main page.
Meanwhile, I was wondering... Is it possible to customize the activation rate for new users with an on-wiki control? Something like a page that we can define an integer or something like that. I ask this because only 15 users have signed up as mentors and, if several new mentees appear at the same time, some mentors could unsubscribe from the list. I think that starting at a low rate and gradually increasing it may be wiser at this point.

@Trizek-WMF As far as I could verify, everything looks great! I didn't find any bug or missing translations, except for the link to the edit page that was incorrect on the commit, but I managed to solve it with a redirect. I couldn't look at WelcomeSurvey, because when I tried to open it, it redirected straight to the main page.

Happy to know that everything looks good! :)

Concerning the welcome survey, you can create some test accounts on test.wikipedia.org and switch the language to Portuguese. There, you will have access to the survey, with exactly the same translations (pt and pt-br) as newcomers will get on your wiki.

Meanwhile, I was wondering... Is it possible to customize the activation rate for new users with an on-wiki control? Something like a page that we can define an integer or something like that. I ask this because only 15 users have signed up as mentors and, if several new mentees appear at the same time, some mentors could unsubscribe from the list. I think that starting at a low rate and gradually increasing it may be wiser at this point.

We made some calculation based on previous experiences and we recommend having one mentor for every 500 new accounts per month, i.e. if your wiki has 5,000 new accounts per month, you should have 10 mentors signed up in order to handle the volume of incoming questions. https://stats.wikimedia.org/#/pt.wikipedia.org/contributing/new-registered-users/normal|bar|2018-08-01~2020-10-01|~total|monthly shows that (on average, rounded to the next thousand) you had 9,000 new accounts over the last 6 months. Which means that 15 mentors would have to handle 600 newcomers. I think it is absolutely doable, but more people would be a nice-to-have.

Maybe some people haven't added their names as mentors because they don't feel like being legitimate, or they don't think they have enough knowledge. What we know from other wikis is that you just need to know about regular editing, since questions are always about the same things (create an article, what is a good source, how to change an image...). Replying is not really a complicated task. And as a mentor, when don't know about something, you can ping someone who may help. This is how I work, even if I'm an experienced editor on my wiki. :)

Also, I have some additional questions:

  • Do the topics on SuggestedEdits seem generally accurate?
  • Are there sufficient numbers of suggested edits for the various topics?

Thank you again for your help!

I just noticed that translations for pt have a few messages missing. This is not the case for pt-br.

Sorry for not providing better instructions for testing the welcome survey earlier. I knew this would be an issue, and made a mental note to post instructions for it, but I forgot.

You can test the welcome survey at this URL: https://pt.wikipedia.org/w/index.php?title=Especial:Inqu%C3%A9rito_de_boas_vindas&_group=exp2_target_specialpage

@Trizek-WMF As far as I could verify, everything looks great! I didn't find any bug or missing translations, except for the link to the edit page that was incorrect on the commit, but I managed to solve it with a redirect. I couldn't look at WelcomeSurvey, because when I tried to open it, it redirected straight to the main page.

Happy to know that everything looks good! :)

Concerning the welcome survey, you can create some test accounts on test.wikipedia.org and switch the language to Portuguese. There, you will have access to the survey, with exactly the same translations (pt and pt-br) as newcomers will get on your wiki.

I just tried, and everything looks good too.

Meanwhile, I was wondering... Is it possible to customize the activation rate for new users with an on-wiki control? Something like a page that we can define an integer or something like that. I ask this because only 15 users have signed up as mentors and, if several new mentees appear at the same time, some mentors could unsubscribe from the list. I think that starting at a low rate and gradually increasing it may be wiser at this point.

We made some calculation based on previous experiences and we recommend having one mentor for every 500 new accounts per month, i.e. if your wiki has 5,000 new accounts per month, you should have 10 mentors signed up in order to handle the volume of incoming questions. https://stats.wikimedia.org/#/pt.wikipedia.org/contributing/new-registered-users/normal|bar|2018-08-01~2020-10-01|~total|monthly shows that (on average, rounded to the next thousand) you had 9,000 new accounts over the last 6 months. Which means that 15 mentors would have to handle 600 newcomers. I think it is absolutely doable, but more people would be a nice-to-have.

Maybe some people haven't added their names as mentors because they don't feel like being legitimate, or they don't think they have enough knowledge. What we know from other wikis is that you just need to know about regular editing, since questions are always about the same things (create an article, what is a good source, how to change an image...). Replying is not really a complicated task. And as a mentor, when don't know about something, you can ping someone who may help. This is how I work, even if I'm an experienced editor on my wiki. :)

I think that many have not yet signed up because, in my view, they either don't know about the new mentoring system yet, or they don't understand how it will work and prefer to see things working first.
When everything is working, new mentors can/will be contacted directly, with explains about how the system works. If they start receiving one or two messages a day from newcomers, will be fine. If they receive, say, 5 or more messages a day, many may unsubscribe because they can consider it as "too many messages". Because of that I ask about an on-wiki control, because we could see how things are going and regulate the rate in real time (it is not a dealbreaker, just a suggestion).

Also, I have some additional questions:

  • Do the topics on SuggestedEdits seem generally accurate?
  • Are there sufficient numbers of suggested edits for the various topics?

I saw a good number of suggested articles. I didn't find any problem there.

Thank you again for your help!

Not a problem! ;-)

You can test the welcome survey at this URL: https://pt.wikipedia.org/w/index.php?title=Especial:Inqu%C3%A9rito_de_boas_vindas&_group=exp2_target_specialpage

The link to Wikipedia:Central de ajuda doesn't lead anywhere.

I just noticed that translations for pt have a few messages missing. This is not the case for pt-br.

This is done for 'pt' now.

You can test the welcome survey at this URL: https://pt.wikipedia.org/w/index.php?title=Especial:Inqu%C3%A9rito_de_boas_vindas&_group=exp2_target_specialpage

The link to Wikipedia:Central de ajuda doesn't lead anywhere.

I guess I should redirect it to "Wikipédia:Tire_suas_dúvidas" https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Tire_suas_d%C3%BAvidas

@Albertoleoncio and @GoEThe, thek you both for checking on everything.

I think that many have not yet signed up because, in my view, they either don't know about the new mentoring system yet, or they don't understand how it will work and prefer to see things working first.

I understand the mentors' point of view there. However, it is difficult to know how a tool would work if people don't try it. It is like guessing if a chair is comfortable or not without unpacking it. :)

If it can help, we have some ressources for mentors, with an help page and a training.

When everything is working, new mentors can/will be contacted directly, with explains about how the system works. If they start receiving one or two messages a day from newcomers, will be fine. If they receive, say, 5 or more messages a day, many may unsubscribe because they can consider it as "too many messages". Because of that I ask about an on-wiki control, because we could see how things are going and regulate the rate in real time (it is not a dealbreaker, just a suggestion).

The problem of having mentors resigning would not encourage more mentors to sign-in. This creates and endless loop. I highly encourage people to become mentors, to avoid this effect. The more mentors you have, the less questions to handle you have.

Let's start the experiment for real! We will see if mentors are becoming active. :)

Also, I have some additional questions:

  • Do the topics on SuggestedEdits seem generally accurate?
  • Are there sufficient numbers of suggested edits for the various topics?

I saw a good number of suggested articles. I didn't find any problem there.

Good! :)

The link to Wikipedia:Central de ajuda doesn't lead anywhere.

I guess I should redirect it to "Wikipédia:Tire_suas_dúvidas" https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Tire_suas_d%C3%BAvidas

The link to the help desk follows the translations and depends on the language you use:

Creating a redirect is the best fix you can make.

Let's start the experiment for real! We will see if mentors are becoming active. :)

Yes! Let's go! Really excited to see how it plays out!

Roan, can you change the configuration so that newcomers get the tools? Thanks!

Let's start the experiment for real! We will see if mentors are becoming active. :)

Yes! Let's go! Really excited to see how it plays out!

Me too. Let's go!

Change 630886 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable for newcomers on ptwiki

https://gerrit.wikimedia.org/r/630886

Roan, can you change the configuration so that newcomers get the tools? Thanks!

Scheduled for tomorrow (Wednesday September 30) at 18:00-19:00 UTC.

Catrope changed Due Date from Sep 21 2020, 6:00 PM to Sep 30 2020, 6:00 PM.Sep 29 2020, 3:39 PM

Change 630886 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable for newcomers on ptwiki

https://gerrit.wikimedia.org/r/630886

Checked a new user creation - Welcome survey is present and the responses are correctly recorded in db.